'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c446459e.js');

const codeCss = ":host{display:block}pre{margin:0}.code{display:block;padding:var(--gap-xs) var(--gap-sm) var(--gap-sm);border:1px solid rgba(var(--violet-rgb), .2);border-radius:.6rem;background-color:#f8f9fa;color:#222;font-size:1.4rem;line-height:1.4;overflow-x:auto}.code--example{border-top-right-radius:0;border-top-left-radius:0}.code__title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}";

const BSWCCode = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.language = 'HTML';
    this.hasExample = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    const code = this.formatHtml(this.element.innerHTML);
    return (index.h("div", { class: 'code ' + (this.hasExample ? 'code--example' : '') }, index.h("h5", { class: "code__title" }, this.language), code.map(tag => {
      return index.h("pre", null, index.h("code", null, tag.includes('bwc-row') ? tag : '  ' + tag));
    })));
  }
  get element() { return index.getElement(this); }
};
BSWCCode.style = codeCss;

const sectionCss = ":host{display:block}a{color:var(--link-color)}.section__title{margin:0 0 var(--gap-sm);font-size:2rem;font-weight:500}.section__info{color:#555;font-size:1.4rem}.section__info>a::after{content:\" ↗️\"}.section__example{padding:var(--gap-sm) var(--gap-sm) var(--gap);border:1px solid rgba(var(--violet-rgb), .2);border-bottom:none;border-radius:.6rem;border-bottom-left-radius:0;border-bottom-right-radius:0;background-color:rgba(var(--violet-rgb), 0.02)}.section__example-title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}.section__example-content{margin:0 var(--gap-sm)}.section>*+*{margin-top:var(--gap-sm)}";

const BSWCSection = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.heading = undefined;
    this.slug = undefined;
    this.hasExample = true;
    this.language = '';
  }
  getCode(content) {
    return content;
  }
  render() {
    const code = this.getCode(this.element.innerHTML);
    return (index.h("section", { class: "section" }, index.h("h4", { class: "section__title" }, this.heading), index.h("div", null, this.hasExample ?
      index.h("div", { class: "section__example" }, index.h("div", { class: "section__example-title" }, "Example"), index.h("div", { class: "section__example-content" }, index.h("slot", null)))
      : '', index.h("bswc-code", { innerHTML: code, "has-example": this.hasExample, language: this.language })), this.slug ?
      index.h("p", { class: "section__info" }, "More info about ", index.h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank" }, this.heading), " at Bootstrap website.")
      : ''));
  }
  get element() { return index.getElement(this); }
};
BSWCSection.style = sectionCss;

const BWCCol = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
};

const BWCRow = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
};

exports.bswc_code = BSWCCode;
exports.bswc_section = BSWCSection;
exports.bwc_col = BWCCol;
exports.bwc_row = BWCRow;

//# sourceMappingURL=bswc-code_4.cjs.entry.js.map